Subject: bug#15066: closed (Re: bug#15066: ./configure && make && make install)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Aug 2013 13:58:06 +0000

Your bug report

#15066: ./configure && make && make install

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15066: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15066
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15066: ./configure && make && make install
From: Bernhard Voelker <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 10 Aug 2013 15:57:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 08/10/2013 01:43 AM, [email-masked] wrote:
> I note a lot of packages come with

[...]

>     Basic Installation
>     ==================
> 
>        Briefly, the shell commands `./configure; make; make install' should
>     configure, build, and install this package.  The following
> 
> I think that should say
>             `./configure && make && make install'

Thanks for the report.
As you didn't say to what file you refer to, I'm assuming you refer
to the file './INSTALL'.  That one is a symlink to gnulib:

  $ ls -ldog
  lrwxrwxrwx 1 18 Aug  1 03:38 INSTALL -> gnulib/doc/INSTALL

Therefore, it is maintained there.
However, that's not the end of the story, as gnulib regularly
syncs it from the autoconf project.

So if you want the want to have it changed, please report this
issue there.  As the improvement will automatically make it's
way down to coreutils, I'm marking this bug as done.

> Please tell whoever writes that file, as the file itself
> doesn't say. (Bad also!)

As you see, that file is shared by many projects, and therefore
adding an author would not be beneficial.

Have a nice day,
Berny

Subject: ./configure && make && make install
From: [email-masked]
To: [email-masked]
Date: Sat, 10 Aug 2013 07:43:44 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I note a lot of packages come with

    Installation Instructions
    *************************

    Copyright (C) 1994-1996, 1999-2002, 2004-2012 Free Software Foundation,
    Inc.

       Copying and distribution of this file, with or without modification,
    are permitted in any medium without royalty provided the copyright
    notice and this notice are preserved.  This file is offered as-is,
    without warranty of any kind.

    Basic Installation
    ==================

       Briefly, the shell commands `./configure; make; make install' should
    configure, build, and install this package.  The following

I think that should say
            `./configure && make && make install'

Please tell whoever writes that file, as the file itself doesn't say. (Bad also!)

Also maybe it should say

            ./configure && make && make install

All on its own line for easy cut and pasting...